Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class GenericArguments

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments

Direct Known Subclasses:
  `CancelTransactionArguments`, `ChangePasswordArguments`, `CheckTransactionArguments`, `GetInformationArguments`, `GetStatementArguments`, `PerformTransactionArguments`

public class GenericArguments extends Object

Java class for GenericArguments complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericArguments">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="password" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="username" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `password`
  `protected String`
  `username`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericArguments()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPassword()`
  Gets the value of the password property.
  `String`
  `getUsername()`
  Gets the value of the username property.
  `void`
  `setPassword(String value)`
  Sets the value of the password property.
  `void`
  `setUsername(String value)`
  Sets the value of the username property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### password

    protected String password

  - ### username

    protected String username

- ## Constructor Details

  - ### GenericArguments

    public GenericArguments()

- ## Method Details

  - ### getPassword

    public String getPassword()
    Gets the value of the password property.
    Returns:
      possible object is `String`

  - ### setPassword

    public void setPassword(String value)
    Sets the value of the password property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUsername

    public String getUsername()
    Gets the value of the username property.
    Returns:
      possible object is `String`

  - ### setUsername

    public void setUsername(String value)
    Sets the value of the username property.
    Parameters:
      `value` - allowed object is `String`